%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		gnome-themes-standard
Version:	3.12.0
Release:	%mkrel 3
Summary:	Standard themes for GNOME applications
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		http://git.gnome.org/browse/gnome-themes-standard
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		gnome-shutup-fallback.patch
#---------------------------------------------------
BuildRequires:	intltool
BuildRequires:	gtk+2.0
BuildRequires:	%{_lib}gtk+3.0-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}rsvg2-devel
#-------------------------------------------------
Requires:	gtk-engines2
Requires:	gnome-icon-theme
Requires:	cantarell-fonts
Obsoletes:	adwaita-cursor-theme < %{version}
Provides:	adwaita-cursor-theme = %{version}-%{release}
Obsoletes:	adwaita-gtk2-theme < %{version}
Provides:	adwaita-gtk2-theme = %{version}-%{release}
Obsoletes:	adwaita-gtk3-theme < %{version}
Provides:	adwaita-gtk3-theme = %{version}-%{release}
Obsoletes:	gnome-themes < 3.0.0-2
Provides:	gnome-themes = %{version}-%{release}
Provides:	gnome-background-standard = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
The gnome-themes-standard package contains the standard theme for the GNOME
desktop, which provides default appearance for cursors, desktop background,
window borders and GTK+ applications.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std


# we don't want these
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_datadir}/icons/HighContrast
rm -rf %{buildroot}%{_datadir}/themes/HighContrast

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    for t in Adwaita; do
        touch --no-create %{_datadir}/icons/$t &>/dev/null
        gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
    done
fi

%posttrans
for t in Adwaita; do
  gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%{_datadir}/themes/Adwaita
%{_datadir}/gnome-background-properties/*
%{_datadir}/icons/Adwaita
%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so
%{_libdir}/gtk-3.0/3.0.0/theming-engines/libadwaita.so


%changelog
* Tue Mar 31 2015 bb <bb> 3.12.0-3pclos2015
- drop HighContrast

* Tue May 13 2014 bb <bb> 3.12.0-2pclos2014
- add shutup fallback warning patch

* Thu Apr 17 2014 bb <bb> 3.12.0-1pclos2014
- update

* Sun Oct 20 2013 bb <bb> 3.8.4-2pclos2013
- fix themes

* Fri Oct 18 2013 bb <bb> 3.8.4-1pclos2013
- re-import into pclos
